<mat-card [appearance]="'outlined'">
    <mat-card-content>
        <div *ngFor="let _ of [].constructor(itemCounter); index as index" class="mb-3">
            <mat-divider *ngIf="index > 0" class="mb-3"></mat-divider>
            <ng-template #viewContainerRef></ng-template>
        </div>
        <div *ngIf="itemCounter == 0">
            <p>Add an item to the list to get started</p>
        </div>
        <div>
            <button mat-raised-button color="primary" (click)="addListItem()" class="me-3">Add item</button>
            <button mat-raised-button color="primary" (click)="removeListItem()" [disabled]="itemCounter == 0">Remove item</button>
        </div>
    </mat-card-content>
</mat-card>